Loading...

fink-users@lists.sourceforge.net

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: [Fink-users] Failed: phase compiling: pyqt4-py26-4.8.6-1 Daniel Johnson Wed Feb 08 12:00:28 2012

On Feb 8, 2012, at 1:53 PM, Alexander Hansen wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On 2/8/12 12:23 PM, Sean Lake wrote:
>> Hello all,
>> 
>> Here is the error message: c++ -c -pipe
>> -I/sw/lib/system-openssl/include -fPIC -O2 -Wall -W -DNDEBUG
>> -D__USE_WS_X11__ -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public
>> -DQT_NO_DEBUG -DQT_CORE_LIB -I.
>> -I/sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/qpy/QtCore
>> -I/sw/include/python2.6 -I/sw/lib/qt4-x11/mkspecs/default
>> -I/sw/lib/qt4-x11/include/QtCore -I/sw/lib/qt4-x11/include -o
>> sipQtCoreQObject.o sipQtCoreQObject.cpp 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:
>> In function 'PyObject* meth_QObject___getattr__(PyObject*,
>> PyObject*)': 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:400:
>> error: invalid conversion from 'const QObject*' to 'QObject*' 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:400:
>> error:   initializing argument 1 of 'PyObject*
>> qpycore_qobject_getattr(QObject*, PyObject*, const char*)' 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:
>> In function 'PyObject* meth_QObject_emit(PyObject*, PyObject*)': 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:571:
>> error: invalid conversion from 'const QObject*' to 'QObject*' 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:571:
>> error:   initializing argument 1 of 'bool
>> qpycore_qobject_emit(QObject*, const char*, PyObject*)' 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:
>> In function 'PyObject* meth_QObject_receivers(PyObject*,
>> PyObject*)': 
>> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:671:
>> error: invalid conversion from 'const QObject*' to 'QObject*' 
>> make[1]: *** [sipQtCoreQObject.o] Error 1 make[1]: *** Waiting for
>> unfinished jobs.... make: *** [all] Error 2 ### execution of
>> /tmp/fink.hXxG2 failed, exit code 2
>> 
>> And the system info: Package manager version: 0.32.2 Distribution
>> version: selfupdate-rsync Wed Feb  8 09:18:09 2012, 10.6, x86_64 
>> Trees: local/main stable/main stable/crypto unstable/main
>> unstable/crypto Xcode: 3.2.6 Max. Fink build jobs:  2
>> 
>> Thanks, Sean Lake
> 
> I get a different failure on 10.7:
> 
> c++ -c -pipe -I/sw/lib/system-openssl/include -fPIC -O2 -Wall -W
> - -DNDEBUG -D__USE_WS_X11__ -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public
> - -DQT_NO_DEBUG -DQT_CORE_LIB -I.
> - -I/sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/qpy/QtCore
> - -I/sw/include/python2.6 -I/sw/lib/qt4-x11/mkspecs/default
> - -I/sw/lib/qt4-x11/include/QtCore -I/sw/lib/qt4-x11/include -o
> sipQtCoreQSet0100QtDayOfWeek.o sipQtCoreQSet0100QtDayOfWeek.cpp
> In file included from sipQtCoreQSet0100QtDayOfWeek.cpp:29:
> In file included from ./sipAPIQtCore.h:35:
> In file included from /sw/lib/qt4-x11/include/QtCore/QMetaType:1:
> In file included from /sw/lib/qt4-x11/include/QtCore/qmetatype.h:45:
> /sw/lib/qt4-x11/include/QtCore/qglobal.h:327:6: warning: #warning
> "This version
>      of Mac OS X is unsupported" [-W#warnings]
> #    warning "This version of Mac OS X is unsupported"
>     ^
> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:400:18:
> error:
>      no matching function for call to 'qpycore_qobject_getattr'
>        sipRes = qpycore_qobject_getattr(sipCpp, sipSelf, a0);
>                 ^~~~~~~~~~~~~~~~~~~~~~~
> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/qpy/QtCore/qpycore_api.h:76:11:
> note:
>      candidate function not viable: 1st argument ('const QObject *')
> would lose
>      const qualifier
> PyObject *qpycore_qobject_getattr(QObject *qobj, PyObject *py_qobj,
>          ^
> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:571:14:
> error:
>      no matching function for call to 'qpycore_qobject_emit'
>        if (!qpycore_qobject_emit(sipCpp, a0, a1))
>             ^~~~~~~~~~~~~~~~~~~~
> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/qpy/QtCore/qpycore_api.h:83:6:
> note:
>      candidate function not viable: 1st argument ('const QObject *')
> would lose
>      const qualifier
> bool qpycore_qobject_emit(QObject *qtx, const char *sig, PyObject
> *sigargs);
>     ^
> /sw/src/fink.build/pyqt4-py26-4.8.6-1/PyQt-x11-gpl-4.8.6/sip/QtCore/qobject.sip:671:29:
> error:
>      cannot initialize a parameter of type 'QObject *' with an lvalue
> of type
>      'const QObject *'
>            sipRes = helper(sipCpp, a0, sipCpp->receivers(a0));
>                            ^~~~~~
> 1 warning and 3 errors generated.
> 
> Package manager version: 0.32.2.git
> Distribution version: selfupdate-cvs Wed Feb  8 12:41:15 2012, 10.7,
> x86_64
> Trees: local/main stable/main local/injected
> Xcode: 4.2.1
> Max. Fink build jobs:  2
> 

I just updated pyqt4 to version 4.9. It builds for me on 10.7. Please try again.

Daniel


------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
Fink-users mailing list
[EMAIL PROTECTED]
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users